Subject: bug#70317: closed ([PATCH 00/13] Add soju)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 07 May 2024 22:35:02 +0000

Your bug report

#70317: [PATCH 00/13] Add soju

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
70317: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=70317
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: [PATCH 00/13] Add soju
From: Sharlatan Hellseher <[email-masked]>
To: [email-masked]
Date: Tue, 07 May 2024 23:33:16 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Jesse,

I've pushed the patch series v2 after rebase and adjust some of them.

One side note - Soju is a services or looks like it and requires (hard)
to be provided with configuration file during runtime.

Let's write a Shepherd service !?

- review-notes [7/7]
  - [X] [PATCH v2 01/13] gnu: packages: Add go-github-com-golang-jwt-jwt-v3
    - Rename to go-github-com-golang-jwt-jwt
    - Inherit go-github-com-golang-jwt-jwt-v4 from go-github-com-golang-jwt-jwt
  - [X] [PATCH v2 06/13] gnu: packages: Add go-github-com-sherclockholmes-webpush-go
    - Place to golang-web
    - Add URL to RFC https://datatracker.ietf.org/doc/html/draft-ietf-webpush-vapid-01
  - [X] [PATCH v2 02/13] gnu: packages: Add go-github-com-msteinert-pam
    - Use go-1.20 as seen in go.mod, as gccgo-12 is for building Golang itself.
    - Adjust synopsis and description.
    - The latest commit of Soju requires v2 of this package, add as a separate commit in advance
      for the future update..
  - [X] [PATCH v2 03/13] gnu: packages: Add go-nhooyr-io-websocket
    - Place to golang-web
    - Update to the latest 1.8.11
  - [X] [PATCH v2 04/13] gnu: packages: Add go-github-com-pires-go-proxyproto
    - Place to golang-web
    - Extend description
  - [X] [PATCH v2 11/13] gnu: packages: Add go-gopkg-in-irc-v4
    - Adjust package name
    - Enable tests
  - [X] [PATCH v2 07/13] gnu: packages: Add go-git-sr-ht-emersion-go-sqlite3-fts5
    - Update to the latest version

Pushed as 223c531ec4..d12456bebd to master.

--
Oleg

Subject: [PATCH 00/13] Add soju
From: Jesse Eisses <[email-masked]>
To: [email-masked]
Cc: Jesse Eisses <[email-masked]>
Date: Tue, 9 Apr 2024 22:48:04 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi all,

I've been using Guix happily as a main driver for some years, and would like to start contributing a few packages.

This one is for the Soju IRC bouncer. It needed some specific versions of Go modules, for which I tried to place the package definitions in the correct files.

It's likely I made some mistakes in the formatting or file placement, so feedback is welcome. Thanks!

Jesse Eisses (13):
  gnu: packages: Add go-github-com-golang-jwt-jwt-v3
  gnu: packages: Add go-github-com-msteinert-pam
  gnu: packages: Add go-nhooyr-io-websocket
  gnu: packages: Add go-github-com-pires-go-proxyproto
  gnu: packages: Add go-github-com-prometheus-client-model-v0.5
  gnu: packages: Add go-github-com-sherclockholmes-webpush-go
  gnu: packages: Add go-git-sr-ht-emersion-go-sqlite3-fts5
  gnu: packages: Add go-git-sr-ht-sircmpwn-go-bare
  gnu: packages: Add go-github-com-prometheus-common-v0.45
  gnu: packages: Add go-github-com-prometheus-client-golang-v1.17
  gnu: packages: Add go-gopkg-in-irc-v4
  gnu: packages: Add
    go-github-com-matttproud-golang-protobuf-extensions-pbutil-v2
  gnu: packages: Add soju

 gnu/packages/golang-crypto.scm |  19 ++++
 gnu/packages/golang-xyz.scm    | 178 +++++++++++++++++++++++++++++++++
 gnu/packages/golang.scm        |  41 ++++++++
 gnu/packages/irc.scm           |  25 +++++
 gnu/packages/messaging.scm     |  81 +++++++++++++++
 gnu/packages/syncthing.scm     |  21 ++++
 6 files changed, 365 insertions(+)

base-commit: 7988ca6a480a7648971c06edc0dfb8da6fd0777b
-- 
2.41.0